LLVM: lldb::SBCommandInterpreter Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBCommandInterpreter Class Reference

`#include <SBCommandInterpreter.h>`

## Public Types
enum | { eBroadcastBitThreadShouldExit = (1 << 0), eBroadcastBitResetPrompt = (1 << 1), eBroadcastBitQuitCommandReceived = (1 << 2), eBroadcastBitAsynchronousOutputData = (1 << 3), eBroadcastBitAsynchronousErrorData = (1 << 4) }

## Public Member Functions
| SBCommandInterpreter (const lldb::SBCommandInterpreter &rhs)
const lldb::SBCommandInterpreter & | operator= (const lldb::SBCommandInterpreter &rhs)
| ~SBCommandInterpreter ()
bool | IsValid () const
bool | CommandExists (const char *cmd)
bool | AliasExists (const char *cmd)
lldb::SBBroadcaster | GetBroadcaster ()
bool | HasCommands ()
bool | HasAliases ()
bool | HasAliasOptions ()
lldb::SBProcess | GetProcess ()
lldb::SBDebugger | GetDebugger ()
lldb::SBCommand | AddMultiwordCommand (const char *name, const char *help)
lldb::SBCommand | AddCommand (const char *name, lldb::SBCommandPluginInterface *impl, const char *help)
void | SourceInitFileInHomeDirectory (lldb::SBCommandReturnObject &result)
void | SourceInitFileInCurrentWorkingDirectory (lldb::SBCommandReturnObject &result)
lldb::ReturnStatus | HandleCommand (const char *command_line, lldb::SBCommandReturnObject &result, bool add_to_history=false)
int | HandleCompletion (const char *current_line, const char *cursor, const char *last_char, int match_start_point, int max_return_elements, lldb::SBStringList &matches)
int | HandleCompletion (const char *current_line, uint32_t cursor_pos, int match_start_point, int max_return_elements, lldb::SBStringList &matches)
bool | SetCommandOverrideCallback (const char *command_name, lldb::CommandOverrideCallback callback, void *baton)
| SBCommandInterpreter (lldb_private::CommandInterpreter *interpreter_ptr=NULL)

## Static Public Member Functions
static const char * | GetArgumentTypeAsCString (const lldb::CommandArgumentType arg_type)
static const char * | GetArgumentDescriptionAsCString (const lldb::CommandArgumentType arg_type)
static const char * | GetBroadcasterClass ()

## Protected Member Functions
lldb_private::CommandInterpreter & | ref ()
lldb_private::CommandInterpreter * | get ()
void | reset (lldb_private::CommandInterpreter *)

## Friends
class | SBDebugger

## Detailed Description

Definition at line 18 of file SBCommandInterpreter.h.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  eBroadcastBitThreadShouldExit |
  eBroadcastBitResetPrompt |
  eBroadcastBitQuitCommandReceived |
  eBroadcastBitAsynchronousOutputData |
  eBroadcastBitAsynchronousErrorData |

Definition at line 21 of file SBCommandInterpreter.h.

## Constructor & Destructor Documentation

lldb::SBCommandInterpreter::SBCommandInterpreter | ( | const lldb::SBCommandInterpreter & | rhs | ) |

lldb::SBCommandInterpreter::~SBCommandInterpreter | ( |  | ) |

lldb::SBCommandInterpreter::SBCommandInterpreter | ( | lldb_private::CommandInterpreter * | interpreter_ptr = `NULL` | ) |

## Member Function Documentation

lldb::SBCommand lldb::SBCommandInterpreter::AddCommand | ( | const char * | name,
|  | lldb::SBCommandPluginInterface * | impl,
|  | const char * | help
| ) |  |

lldb::SBCommand lldb::SBCommandInterpreter::AddMultiwordCommand | ( | const char * | name,
|  | const char * | help
| ) |  |

bool lldb::SBCommandInterpreter::AliasExists | ( | const char * | cmd | ) |

bool lldb::SBCommandInterpreter::CommandExists | ( | const char * | cmd | ) |

lldb_private::CommandInterpreter* lldb::SBCommandInterpreter::get | ( |  | ) |
| protected

static const char* lldb::SBCommandInterpreter::GetArgumentDescriptionAsCString | ( | const lldb::CommandArgumentType | arg_type | ) |
| static

static const char* lldb::SBCommandInterpreter::GetArgumentTypeAsCString | ( | const lldb::CommandArgumentType | arg_type | ) |
| static

lldb::SBBroadcaster lldb::SBCommandInterpreter::GetBroadcaster | ( |  | ) |

static const char* lldb::SBCommandInterpreter::GetBroadcasterClass | ( |  | ) |
| static

lldb::SBDebugger lldb::SBCommandInterpreter::GetDebugger | ( |  | ) |

lldb::SBProcess lldb::SBCommandInterpreter::GetProcess | ( |  | ) |

lldb::ReturnStatus lldb::SBCommandInterpreter::HandleCommand | ( | const char * | command_line,
|  | lldb::SBCommandReturnObject & | result,
|  | bool | add_to_history = `false`
| ) |  |

int lldb::SBCommandInterpreter::HandleCompletion | ( | const char * | current_line,
|  | const char * | cursor,
|  | const char * | last_char,
|  | int | match_start_point,
|  | int | max_return_elements,
|  | lldb::SBStringList & | matches
| ) |  |

int lldb::SBCommandInterpreter::HandleCompletion | ( | const char * | current_line,
|  | uint32_t | cursor_pos,
|  | int | match_start_point,
|  | int | max_return_elements,
|  | lldb::SBStringList & | matches
| ) |  |

bool lldb::SBCommandInterpreter::HasAliases | ( |  | ) |

bool lldb::SBCommandInterpreter::HasAliasOptions | ( |  | ) |

bool lldb::SBCommandInterpreter::HasCommands | ( |  | ) |

bool lldb::SBCommandInterpreter::IsValid | ( |  | ) | const

const lldb::SBCommandInterpreter& lldb::SBCommandInterpreter::operator= | ( | const lldb::SBCommandInterpreter & | rhs | ) |

lldb_private::CommandInterpreter& lldb::SBCommandInterpreter::ref | ( |  | ) |
| protected

void lldb::SBCommandInterpreter::reset | ( | lldb_private::CommandInterpreter * |  | ) |
| protected

bool lldb::SBCommandInterpreter::SetCommandOverrideCallback | ( | const char * | command_name,
|  | lldb::CommandOverrideCallback | callback,
|  | void * | baton
| ) |  |

void lldb::SBCommandInterpreter::SourceInitFileInCurrentWorkingDirectory | ( | lldb::SBCommandReturnObject & | result | ) |

void lldb::SBCommandInterpreter::SourceInitFileInHomeDirectory | ( | lldb::SBCommandReturnObject & | result | ) |

## Friends And Related Function Documentation

friend class SBDebugger
| friend

Definition at line 136 of file SBCommandInterpreter.h.

The documentation for this class was generated from the following file:

- SBCommandInterpreter.h